VirtualBox 5.1.x [.22] on Openindiana w/QT5

Discussions related to using VirtualBox on Solaris hosts.

VirtualBox 5.1.x [.22] on Openindiana w/QT5

Postby mnespen » 18. May 2017, 08:12

Hi,
Lately OpenIndiana/hipster has got a version of QT5 in their repository. Since a while ago I have used VirtualBox 5.1.x, which works and installs fine if you just edit the SUNWvbox/install/checkinstall to remove dependencies for IPS-packages and update the pkgmap-file.

When Openindiana got QT5 (5.8.0) , I was sure that I could start using the QT-gui again as well, but I am not able to get this started.
$pfexec pkg install pkg:/library/qt5@5.8.0-2017.0.0.0
$VirtualBox
Qt FATAL: This application failed to start because it could not find or load the Qt platform plugin "xcb".
Available platform plugins are: xcb.
Reinstalling the application may fix this problem.
Abort (core dumped)
$
$ls -l /opt/VirtualBox/amd64/plugins/platforms/
-rw-r--r-- 1 root bin 17312 Apr 28 17:36 libqxcb.so

One thing though - I've QT4.8.7 installed as well - will that mix things up?

Does anyone have a clue on what is wrong?
mnespen
 
Posts: 32
Joined: 19. Aug 2008, 12:44

Re: VirtualBox 5.1.x [.22] on Openindiana w/QT5

Postby mnespen » 6. Jul 2017, 16:06

Hi, I might have found the problem, but dont know how to fix it.

If I do a "ldd /opt/Virtualbox/amd64/plugins/platforms/libqxcb.so" I get a
libc.so.1 (SUNW_1.22.7) => (version not found)

If I do "pvs /lib/amd64/libc.so.1"
I get no SUNW_1.22.7, but only these:

$ pvs /lib/amd64/libc.so.1
libc.so.1;
ILLUMOS_0.23;
ILLUMOS_0.22;
ILLUMOS_0.21;
ILLUMOS_0.20;
ILLUMOS_0.19;
ILLUMOS_0.18;
ILLUMOS_0.17;
ILLUMOS_0.16;
ILLUMOS_0.15;
ILLUMOS_0.14;
ILLUMOS_0.13;
ILLUMOS_0.12;
ILLUMOS_0.11;
ILLUMOS_0.10;
ILLUMOS_0.9;
ILLUMOS_0.8;
ILLUMOS_0.7;
ILLUMOS_0.6;
ILLUMOS_0.5;
ILLUMOS_0.4;
ILLUMOS_0.3;
ILLUMOS_0.2;
ILLUMOS_0.1;
SUNW_1.23;
SUNW_1.22.6;
SUNW_1.22.5;
SUNW_1.22.4;
SUNW_1.22.3;
SUNW_1.22.2;
SUNW_1.22.1;
SUNW_1.22;
SUNW_1.21.3;
SUNW_1.21.2;
SUNW_1.21.1;
SUNW_1.21;
SUNW_1.20.4;
SUNW_1.20.1;
SUNW_1.20;
SUNW_1.19;
SUNW_1.18.1;
SUNW_1.18;
SUNW_1.17;
SUNW_1.16;
SUNW_1.15;
SUNW_1.14;
SUNW_1.13;
SUNW_1.12;
SUNW_1.11;
SUNW_1.10;
SUNW_1.9;
SUNW_1.8;
SUNW_1.7;
SUNW_1.6;
SUNW_1.5;
SUNW_1.4;
SUNW_1.3;
SUNW_1.2;
SUNW_1.1;
SUNW_0.9;
SUNW_0.8;
SUNW_0.7;
SYSVABI_1.3;
SUNWprivate_1.1;
$
mnespen
 
Posts: 32
Joined: 19. Aug 2008, 12:44

Re: VirtualBox 5.1.x [.22] on Openindiana w/QT5

Postby mnespen » 7. Jul 2017, 09:07

OK, after starting to use QT5.8 platform-files below /usr/lib/qt/5.8/plugins by defining
/opt/Virtualbox/amd64/qt.conf like this:
[Paths]
Plugins=/usr/lib/qt/5.8/plugins

I'm stuck at /opt/VirtualBox/amd64/libQt5XcbQpaVBox.so.5 which says:
$ldd /opt/VirtualBox/amd64/libQt5XcbQpaVBox.so.5 | grep version
libc.so.1 (SUNW_1.22.7) => (version not found)

And my libc.so.1 is still the same, see previous post.

Q: is it possible to get the VB developers to build a version of amd64/libQt5XcbQpaVBox.so.5 pointing to something I got in my libc? (ILLUMOS_0.23; / SUNW_1.23;)
mnespen
 
Posts: 32
Joined: 19. Aug 2008, 12:44

Re: VirtualBox 5.1.x [.22] on Openindiana w/QT5

Postby mnespen » 25. Sep 2017, 13:14

1) upgrade to VirtualBox 5.1.28 :
$ldd /opt/VirtualBox/amd64/plugins/platforms/libqxcb.so
do not give "libc.so.1 (SUNW_1.22.7) => (version not found)" anymore


2) upgrade to illumos-2ee1ed1ec5 :
pvs /lib/amd64/libc.so.1 | grep 22.7
SUNW_1.22.7;

Everything is working - VirtualBox GUI works fine! :D :D
mnespen
 
Posts: 32
Joined: 19. Aug 2008, 12:44


Return to VirtualBox on Solaris Hosts

Who is online

Users browsing this forum: No registered users and 1 guest